Bug 1028737 - Physical wireless LAN hard blocked [NEEDINFO]
Physical wireless LAN hard blocked
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-10 05:03 EST by soumen
Modified: 2014-03-10 10:43 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 10:43:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
dmesg (62.24 KB, text/plain)
2013-11-10 05:03 EST, soumen
no flags Details
lspci (10.06 KB, text/plain)
2013-11-10 05:04 EST, soumen
no flags Details
lsmod (3.74 KB, text/plain)
2013-11-10 05:05 EST, soumen
no flags Details

  None (edit)
Description soumen 2013-11-10 05:03:18 EST
Created attachment 822044 [details]
dmesg

Description of problem:
The Physical Wireless LAN is hard blocked on my Fedora 19 kernel v-3.11.6.201.fc19.i686.The kernel driver in use for the wireless LAN is bcma-pci-bridge.But,there is this default module loaded for my system,asus_wmi,which might be blocking the brcmsmac driver from loading.

Version-Release number of selected component (if applicable):
NetworkManager- 1:0.9.8.8-1.fc19
Kernel-3.11.6.201.fc19.i686



How reproducible:
Turn off the wifi.Remove the asus_wmi module,restart the machine,turn on the wifi,still the Physical wireless LAN is hard blocked. 


Steps to Reproduce:
Always reproducible.

Actual results:
rmmod: ERROR: could not remove 'asus_wmi': Resource temporarily unavailable
rmmod: ERROR: could not remove module asus_wmi: Resource temporarily unavailable

rfkill list
0: asus-wlan: Wireless LAN
        Soft blocked: no
        Hard blocked: no
1: asus-bluetooth: Bluetooth
        Soft blocked: no
        Hard blocked: no
2: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: yes


Expected results:
The driver asus_wmi should be removed.(which might be blocking the bcma driver from loading.)

0: asus-wlan: Wireless LAN
        Soft blocked: no
        Hard blocked: no
1: asus-bluetooth: Bluetooth
        Soft blocked: no
        Hard blocked: no
2: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: no



Additional info:
Attached the lspci,lsmod,dmesg outputs.
Comment 1 soumen 2013-11-10 05:04:51 EST
Created attachment 822045 [details]
lspci
Comment 2 soumen 2013-11-10 05:05:40 EST
Created attachment 822046 [details]
lsmod
Comment 3 Dan Williams 2013-11-11 17:00:56 EST
This is a kernel problem; if the kernel is fixed to handle rfkill on your machine, then NetworkManager will work accordingly.
Comment 4 Stanislaw Gruszka 2013-11-22 05:02:08 EST
If you do:

echo 'options asus-nb-wmi wapf=4' > /etc/modprobe.d/asus.conf

and restart system, does it workaround the problem ?
Comment 5 Michele Baldessari 2013-12-01 05:52:34 EST
Soumen,

can you give us the info as asked by Stanislaw in comment 4?

Thanks,
Michele
Comment 6 soumen 2013-12-03 05:14:45 EST
There isn't any change in the behaiviour.
Comment 7 Justin M. Forbes 2014-01-03 17:06:10 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 8 Justin M. Forbes 2014-03-10 10:43:08 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.